atk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object An determines a component's state set. An determines a component's state set. It is composed of a set of s.
- Constructor
  2.12.0.0
  Default constructor
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Internal constructor
  This is a constructor used by derivative types of that would have their own GLib.GType assigned to it. This is not typically used by C# code.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  System.Boolean `` an object of type Add a new state for the specified type to the current state set if it is not already present. an object of type , if the state for type is not already in set.
- Method
  2.12.0.0
  Atk.StateType `` a Add the states for the specified types to the current state set. a To be added
- Method
  2.12.0.0
  Atk.StateSet `` an object of type Constructs the intersection of the two sets, returning if the intersection is empty. an object of type which is the intersection of the two sets.
- Method
  2.12.0.0
  System.Void Removes all states from the state set.
- Method
  2.12.0.0
  System.Boolean `` an object of type Checks whether the state for the specified type is in the specified set. an object of type , if type is the state type is in set.
- Method
  2.12.0.0
  System.Boolean `` `` a a Checks whether the states for all the specified types are in the specified set. a To be added
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  System.Boolean Checks whether the state set is empty, i.e. has no states set. a , if the StateSet has no states set, otherwise
- Method
  2.12.0.0
  Atk.StateSet `` an object of type Constructs the union of the two sets. an object of type which is the union of the two sets, returning is empty. To be added
- Method
  2.12.0.0
  System.Boolean `` an object of type Removes the state for the specified type from the state set. an object of type , if type was the state type is in set.
- Method
  2.12.0.0
  Atk.StateSet `` an object of type Constructs the exclusive-or of the two sets, returning is empty. an object of type which contains the states which are in exactly one of the two sets. The set returned by this operation contains the states in exactly one of the two sets.